# List components (/en/docs/api/native/application/listComponents)



`GET /application/v1/workers/{worker_id}/components`

List the databases, namespaces and buckets this Worker owns.

**Support: supported**

## Parameters [#parameters]

| Name       | Location | Type   | Required | Description         |
| ---------- | -------- | ------ | -------- | ------------------- |
| worker\_id | path     | string | true     | Worker ID (wkr\_…). |

## Response [#response]

### HTTP 200 [#http-200]

Success

**application/json**

| Name | Type | Description |
| --- | --- | --- |
| [].id | string | Component ID, prefixed cmp_. |
| [].worker_id | string | Owning Worker. |
| [].binding | string | Binding name in the Worker's env. |
| [].type | string | Component type: d1 database, kv namespace or r2 bucket. |
| [].status | string | Component status: provisioning, ready, failed, deleting or deleted. |
| [].location_hint | string | Always apac. |
| [].usage | object &#124; null | Storage usage. |
| [].usage.bytes | integer | Stored bytes. |
| [].usage.items | integer | Stored items. |
| [].created_on | string | When the component was created. |
